<?php

  require_once('dFileList.inc.php');

  $l = new DFileList();

  $l->setHidden( array('index.php', 'dfilelist.php', 'filelist-icons') );

  $l->setType('application', array( '*.exe', '*.com', '*.bat' ) );
  $l->setType('text-css',            '*.css' );
  $l->setType('text-php',            '*.php' );
  $l->setType('text-html',   array( '*.html', '*.htm' ) );
  $l->setType('text-plain',          '*.txt' );
  $l->setType('text-script',         '*.js'  );
  $l->setType('picture',     array( '*.png', '*.jpg', '*.jpeg', '*.gif' ) );
  $l->setType('zip',         array( '*.zip', '*.7z', '*.rar', '*.gz', '*.bz2') );

  $l->setType('unknown', '*');
  $l->setType('folder',  '*', DFL_DIRECTORY);



 function makeSize($size) {
   $units = array('B','KB','MB','GB','TB');
   $u = 0;
   while ( (round($size / 1024) > 0) && ($u < 4) ) {
     $size = $size / 1024;
     $u++;
   }
   return (round($size,2) . " " . $units[$u]);
 }


 function snipFewLines(&$file) {
   $content = file($file['fullname']);
   array_splice($content, 4, count($content));
   $file['content'] = str_replace(array("\n"), '<br/>',htmlspecialchars(
     implode($content)
   )) . "...";
 }



  $l->setTransform('size', 'makeSize');
  $l->setProcess('text-*', 'snipFewLines');




  $l->setTemplate( array(

   'text-*' => '<tr> <!-- script -->
    <td><img src="dfl-sample-icons/%%type%%.png" alt="%%type%%" title="%%type%%"/></td>
    <td><a href="%%fullname%%"><b>%%name%%</b></a></td>
    <td><p>%%content%%</p></td>
    <td>%%size%%</td>
   </tr>',

   'folder' => '<tr> <!-- folder -->
    <td><img src="dfl-sample-icons/%%type%%.png" alt="%%type%%" title="%%type%%"/></td>
    <td><a href="%%fullname%%"><b>%%name%%</b></a></td>
    <td></td>
    <td></td>
   </tr>',

   'picture' => '<tr>  <!-- image -->
    <td><img src="dfl-sample-icons/%%type%%.png" alt="%%type%%" title="%%type%%"/></td>
    <td><a href="%%fullname%%"><b>%%name%%</b></a></td>
    <td><img src="%%name%%" alt="%%name%%"/></td>
    <td>%%size%%</td>
   </tr>',

   'unknown' => '<tr> <!-- unknown -->
    <td><img src="dfl-sample-icons/%%type%%.png" alt="%%type%%" title="%%type%%"/></td>
    <td><a href="%%fullname%%"><b>%%name%%</b></a></td>
    <td><p>Formato sconosciuto</p></td>
    <td>%%size%%</td>
   </tr>',

   '*' => '<tr> <!-- default -->
    <td><img src="dfl-sample-icons/%%type%%.png" alt="%%type%%" title="%%type%%"/></td>
    <td><a href="%%fullname%%"><b>%%name%%</b></a></td>
    <td></td>
    <td>%%size%%</td>
   </tr>'

   ) );


  $elenco = $l->getList( DFL_DIRECTORY | DFL_DIRFIRST );

  echo "<table><thead><tr><td>Tipo</td><td>Nome</td><td></td><td>Dimensione</td></tr></thead><tbody>";
  echo $l->renderList( $elenco );
  echo "</tbody></table>";

?>