<?php
  $title = 'Indice di ' . dirname($_SERVER['REQUEST_URI']);
?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html> <head>
 <meta http-equiv="content-type" content="text/html; charset=ISO-8859-1"/>
 <title><?= $title ?></title>
 <style type="text/css">
  * { margin: 0; padding: 0; }
  html  { text-align: center; }
  body  { padding: 2em 2em 1em 2em; margin: auto; width: 44em; text-align: left; background: white; }
  h1    { padding-bottom: 1em;}
  table { width: 100%; }
  thead td  { border-bottom: 1px solid #d0d0d0; }
  p#summary,p#about { margin: 1em; text-align: right; }
 
 </style>
</head> <body>
 <h1><?= $title ?></h1>

<?php
  require_once('dFileList.inc.php');

  $l = new DFileList();

  $l->setHidden( array('index.php', 'dfilelist.php', 'filelist-icons') );

  $l->setType('application', array( '*.exe', '*.com', '*.bat' ) );
  $l->setType('text-css',            '*.css' );
  $l->setType('text-php',            '*.php' );
  $l->setType('text-html',   array( '*.html', '*.htm' ) );
  $l->setType('text-plain',          '*.txt' );
  $l->setType('text-script',         '*.js'  );
  $l->setType('picture',     array( '*.ico', '*.png', '*.jpg', '*.jpeg', '*.gif' ) );
  $l->setType('zip',         array( '*.zip', '*.7z', '*.rar', '*.gz', '*.bz2') );

  $l->setType('unknown', '*');
  $l->setType('folder',  '*', DFL_DIRECTORY);



 function makeSize($size) {
   $units = array('B','KB','MB','GB','TB');
   $u = 0;
   while ( (round($size / 1024) > 0) && ($u < 4) ) {
     $size = $size / 1024;
     $u++;
   }
   return (round($size,2) . " " . $units[$u]);
 }

 function makeTime($time) {
   return date('d-M-Y h:i', $time);
 }

  $l->setTransform('size', 'makeSize');
  $l->setTransform('time', 'makeTime');


  $l->setTemplate( array(

   'folder' => '<tr> <!-- folder -->
   <td><img src="dfl-sample-icons/%%type%%.png" alt="%%type%%" title="%%type%%"/></td>
   <td><a href="%%fullname%%"><b>%%name%%</b></a></td>
   <td></td>
   <td></td>
  </tr> ',

   '*' => '<tr> <!-- default -->
   <td><img src="dfl-sample-icons/%%type%%.png" alt="%%type%%" title="%%type%%"/></td>
   <td><a href="%%fullname%%"><b>%%name%%</b></a></td>
   <td>%%time%%</td>
   <td>%%size%%</td>
  </tr> '

   ) );


  $elenco = $l->getList( DFL_DIRECTORY | DFL_DIRFIRST );

  echo " <table> <thead>\n  <tr><td id=\"c-type\">Tipo</td><td id=\"c-name\">Nome</td><td id=\"c-time\">Ultima modifica</td><td id=\"c-size\">Dimensione</td></tr>\n </thead> <tbody>\n  ";
  echo $l->renderList( $elenco );
  echo "\n </tbody> </table>\n";

  echo "\n <p id=\"summary\"><b>Totale</b>: " . makeSize($elenco['total']['size']);
  echo " ({$elenco['total']['dir']} directory e {$elenco['total']['files']} file)</p>";
  
  echo "\n <p id=\"about\"><small>" . $l->about() . '</small></p>';
?>


</body></html>